API ReferenceapicommunityDELETE /v1/admin/community/comments/{comment_id}

DELETE /v1/admin/community/comments/\{comment_id\}

Service: community · operationId: (none)

Required scopes

(no scope declared — review service config)

Path parameters

  • comment_id (string) required

Request body

{
  "type": "object",
  "properties": {
    "reason": {
      "type": "string",
      "minLength": 1
    }
  },
  "required": [
    "reason"
  ]
}

Responses

200 Comment soft-deleted

{
  "type": "object",
  "properties": {
    "success": {
      "type": "boolean",
      "enum": [
        true
      ]
    },
    "deleted_at": {
      "type": "string"
    },
    "comment_id": {
      "type": "string"
    }
  },
  "required": [
    "success",
    "deleted_at",
    "comment_id"
  ]
}

404 Comment not found

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X DELETE https://community.platform.loop.health/v1/admin/community/comments/{comment_id} \
  -H "Authorization: Bearer $ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{ ... }'